#!/bin/bash

if [ "$1" == "clean" ]; then
	/etc/init.d/translation-server stop
	sudo update-rc.d -f translation-server remove

	if [ -f /etc/init.d/translation-server ]; then
		sudo rm /etc/init.d/translation-server
	fi
	
else
	read -r -p "Digite a porta para rodar o serviço: " response
	response=${response,,} # tolower

	sudo cp translation-server /etc/init.d/
	cd /etc/init.d

	sudo sed -i 's/####!!!!/'$response'/g' translation-server
	sudo chmod 755 translation-server
	/etc/init.d/translation-server stop
	sudo update-rc.d -f translation-server remove
	sudo update-rc.d translation-server defaults
	/etc/init.d/translation-server start
fi