from flask import Flask, request
from PortGlosa import traduzir
import sys, timeit

app = Flask(__name__)

@app.route("/translate")
def translate():
	texto = request.args.get('text')
	return traduzir(texto.encode("UTF-8"))

if __name__ == "__main__":
	if len(sys.argv) > 1:
		port = sys.argv[1]
	else:
		port = 3000
	app.run(host='0.0.0.0', port=port, threaded=True)